# SgmlOpenTag Class Reference
[HTML parser]

Inheritance diagram for SgmlOpenTag:
[legend]

List of all members.

## Public Member Functions

| setEmpty ($isEmpty)
| isEmpty ()
| setAttribute ($name, $value)
| hasAttribute ($name)
| getAttribute ($name)
| dropAttribute ($name)
| getAttributesList ()
| dropAttributesList ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $attributes = array()
| $empty = false

## Detailed Description

Definition at line 15 of file SgmlOpenTag.class.php.

## Member Function Documentation

static SgmlOpenTag::create | ( |  | ) | `[static]`

Returns:
  SgmlOpenTag

Definition at line 23 of file SgmlOpenTag.class.php.

Referenced by HtmlTokenizer::createOpenTag().

SgmlOpenTag::dropAttribute | ( | $ | name | ) |

Returns:
  SgmlOpenTag

Definition at line 77 of file SgmlOpenTag.class.php.

SgmlOpenTag::dropAttributesList | ( |  | ) |

Returns:
  SgmlOpenTag

Definition at line 99 of file SgmlOpenTag.class.php.

SgmlOpenTag::getAttribute | ( | $ | name | ) |

Definition at line 62 of file SgmlOpenTag.class.php.

SgmlOpenTag::getAttributesList | ( |  | ) |

Definition at line 91 of file SgmlOpenTag.class.php.

Referenced by HtmlAssembler::getAttributes().

SgmlOpenTag::hasAttribute | ( | $ | name | ) |

Definition at line 55 of file SgmlOpenTag.class.php.

SgmlOpenTag::isEmpty | ( |  | ) |

Definition at line 40 of file SgmlOpenTag.class.php.

SgmlOpenTag::setAttribute | ( | $ | name,
|  | $ | value |
| ) |  |  |

Returns:
  SgmlOpenTag

Definition at line 48 of file SgmlOpenTag.class.php.

References SgmlToken::$value.

SgmlOpenTag::setEmpty | ( | $ | isEmpty | ) |

Returns:
  SgmlOpenTag

Definition at line 31 of file SgmlOpenTag.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

## Member Data Documentation

SgmlOpenTag::$attributes = array()`[private]`

Definition at line 17 of file SgmlOpenTag.class.php.

SgmlOpenTag::$empty = false`[private]`

Definition at line 18 of file SgmlOpenTag.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Html/SgmlOpenTag.class.php